/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : 2/08/2024, 02:30:02 PM
    Author     : Servicios Academicos
*/

.error{
    color: red;
    font-weight: bold;
    margin-right: 1rem;
}
.mensaje{
    color: #198754;
    font-weight: bold;
    margin-right: 1rem;
}
/*.error::before{
    content: '*';
    margin-right: 1rem;
<c:remove var="mensaje" scope="session"/>
}*/

.tituloModulo{
    margin: 0.5em ;
}
/*  PARA TABLAS GRIS  */
.thTablaPpal{

}
.tdTablaPpal{

}

.tablaBaseV{
    margin-left: 2rem;
}
.tdVerticalTitulo{
    font-weight: bold;
    text-align: right !important;
    padding-right: 1rem;
}
.tdVertical{
    font-weight: normal;
    text-align: justify;

}
.barcode{
    height: 1.5em;
    width: 25em;
}

.imagenMaterialCarruselSmall{
    /*width: 8em;
    height: 8em;*/
    max-width: 10rem;
}
.imagenMaterialCarrusel{
    /*width: 8em;
    height: 8em;*/
    max-width: 20rem;
}

/* para botones e íconos*/
.iconEdit, iconInsert, .iconDelete, .iconInhabilita, .iconHabilita, .iconResetPwd, .iconBarcode, .iconImagenes, .iconImage, .iconEliminaImagen, .iconEliminaPartida{
    cursor: pointer;
    margin-right: 0.8rem;
}
.iconEliminaItemOrden{
    cursor: pointer;
    margin-right: 1.5rem;
}

.botonInsert, .boton{
    cursor: pointer;
    background-color: #aaaaaa;
    border-radius: 0.5em;
    padding: 0 0.8rem;
}
.botonOK{
    cursor: pointer;
    background-color: #198754;/*verde*/
    border-radius: 0.5em;
    color: white;
    padding: 0 0.8rem;
}
.botonCancel{
    cursor: pointer;
    background-color:  #ff6666;
    border-radius: 0.5em;
    color: white;
    padding: 0 0.8rem;
}

// labels en forma de edición
.formaEdicion div label{
    font-size: 0.5em;
    color:red;
}

.innputReadonly{
    background-color: #dddddd;

}
.trInactivo td{
    /*background-color: */
    color: #cc0000;
    font-style: italic;
}

.errorInput, .errorInputVacio{
    border-color: red !important;
    border-width: 2px;
    background-color: #ffcccc !important;

}

i{
    cursor: pointer;
}
.hidden{
    display: none;
}
.celdaMoneda{
    text-align: right;
}